/***************************************************************************
                        AC3_tables.h  -  description
                             -------------------
   Tables needed for decoding.
                             -------------------
 ***************************************************************************/
#ifndef _AC3_TABLES_H_
#define _AC3_TABLES_H_

#include "common/typedefs.h"

#define LATAB_SIZE      210
#define MASKTAB_SIZE    230
#define BNDTAB_SIZE      50
#define BAPTAB_SIZE      56
#define SLOWGAIN_SIZE     4
#define DBPBTAB_SIZE      4
#define FLOORTAB_SIZE     8
#define HTHTAB_SIZE      50

#define BAP_SYM_QUANT(bapval)    (bapval > 0x40)
#define BAP_GROUP_SIZE(bapval)   (bapval >> 6)
#define BAP_BITS(bapval)         (bapval & 0x1F)

extern const u8  LATAB[],
                 MASKTAB[],
                 BNDTAB[],
                 BAPTAB[];

extern const s16 SLOWGAIN[],
                 DBPBTAB[],
                 FLOORTAB[],
                 HTHTAB[];

#endif

