/***************************************************************************
                       imdft_tables.h  -  description
                             -------------------
   Tables needed for the IMDFT process.
                             -------------------
    begin                : Mon Oct 24 2005
    copyright            : (C) 2005 by Dennis Lew
    email                : dennis_L76@yahoo.ca
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#define INC_PTR_512     77
#define IDX(stage, n)   ((n) << (NUM_STAGES+1-stage))

# define SWAP2(last_p1, p1, p2, s) \
   (p1-last_p1)<<(NUM_STAGES+1-s), (p2-p1)<<(NUM_STAGES+1-s)
   
static const u8 INC_PTR[] =
{
   /* STAGE 2 */
   2<<(NUM_STAGES-6),  2<<(NUM_STAGES-6), 2<<(NUM_STAGES-6), 
   2<<(NUM_STAGES-6),  2<<(NUM_STAGES-6), 2<<(NUM_STAGES-6),
   2<<(NUM_STAGES-6), 10<<(NUM_STAGES-6), 2<<(NUM_STAGES-6),
   4<<(NUM_STAGES-6),  0,
   /* STAGE 3 */
   IDX(3,4)-(2<<(NUM_STAGES-6)), IDX(3,4)-(2<<(NUM_STAGES-6)), 
   IDX(3,4)-(2<<(NUM_STAGES-6)), IDX(3,4)-(6<<(NUM_STAGES-6)), 0,
   /* STAGE 4 */
   IDX(4,12)-(2<<(NUM_STAGES-6)), IDX(4,12)-(4<<(NUM_STAGES-6)), 0,
   /* STAGE 5 */
   0,
   /* undo bit-reverse order */
   SWAP2( 0, 1,32,6),SWAP2( 1, 2,16,6),SWAP2( 2, 3,48,6),SWAP2( 3, 4, 8,6),
   SWAP2( 4, 5,40,6),SWAP2( 5, 6,24,6),SWAP2( 6, 7,56,6),SWAP2( 7, 9,36,6),
   SWAP2( 9,10,20,6),SWAP2(10,11,52,6),SWAP2(11,13,44,6),SWAP2(13,14,28,6),
   SWAP2(14,15,60,6),SWAP2(15,17,34,6),SWAP2(17,19,50,6),SWAP2(19,21,42,6),
   SWAP2(21,22,26,6),SWAP2(22,23,58,6),SWAP2(23,25,38,6),SWAP2(25,27,54,6),
   SWAP2(27,29,46,6),SWAP2(29,31,62,6),SWAP2(31,35,49,6),SWAP2(35,37,41,6),
   SWAP2(37,39,57,6),SWAP2(39,43,53,6),SWAP2(43,47,61,6),SWAP2(47,55,59,6),
   0,
   
   /* STAGE 2 */
   2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 
   18, 2, 2, 2, 6, 0,
   /* STAGE 3 */
   IDX(3,4)-2, IDX(3,4)-2, IDX(3,4)-2, IDX(3,4)-2, 
   IDX(3,4)-2, IDX(3,4)-2, IDX(3,4)-2, IDX(3,4)-10,
   IDX(3,4)-2, IDX(3,4)-4, 0,
   /* STAGE 4 */
   IDX(4,12)-2, IDX(4,12)-2, IDX(4,12)-2, IDX(4,12)-6, 0,
   /* STAGE 5 */
   IDX(5,28)-2, IDX(5,28)-4, 0,
   /* undo bit-reverse order */
   SWAP2( 0, 1, 64,7),SWAP2( 1, 2, 32,7),SWAP2( 2,  3, 96,7),SWAP2(  3,  4, 16,7),
   SWAP2( 4, 5, 80,7),SWAP2( 5, 6, 48,7),SWAP2( 6,  7,112,7),SWAP2(  7,  9, 72,7),
   SWAP2( 9,10, 40,7),SWAP2(10,11,104,7),SWAP2(11, 12, 24,7),SWAP2( 12, 13, 88,7),
   SWAP2(13,14, 56,7),SWAP2(14,15,120,7),SWAP2(15, 17, 68,7),SWAP2( 17, 18, 36,7),
   SWAP2(18,19,100,7),SWAP2(19,21, 84,7),SWAP2(21, 22, 52,7),SWAP2( 22, 23,116,7),
   SWAP2(23,25, 76,7),SWAP2(25,26, 44,7),SWAP2(26, 27,108,7),SWAP2( 27, 29, 92,7),
   SWAP2(29,30, 60,7),SWAP2(30,31,124,7),SWAP2(31, 33, 66,7),SWAP2( 33, 35, 98,7),
   SWAP2(35,37, 82,7),SWAP2(37,38, 50,7),SWAP2(38, 39,114,7),SWAP2( 39, 41, 74,7),
   SWAP2(41,43,106,7),SWAP2(43,45, 90,7),SWAP2(45, 46, 58,7),SWAP2( 46, 47,122,7),
   SWAP2(47,49, 70,7),SWAP2(49,51,102,7),SWAP2(51, 53, 86,7),SWAP2( 53, 55,118,7),
   SWAP2(55,57, 78,7),SWAP2(57,59,110,7),SWAP2(59, 61, 94,7),SWAP2( 61, 63,126,7),
   SWAP2(63,67, 97,7),SWAP2(67,69, 81,7),SWAP2(69, 71,113,7),SWAP2( 71, 75,105,7),
   SWAP2(75,77, 89,7),SWAP2(77,79,121,7),SWAP2(79, 83,101,7),SWAP2( 83, 87,117,7),
   SWAP2(87,91,109,7),SWAP2(91,95,125,7),SWAP2(95,103,115,7),SWAP2(103,111,123,7),
   0
};
# undef SWAP2


static const AC3_COEFF IDFT_CONST[] =
{
   /* IDFT twiddle factors */
   /*                  cos(2PI*k/N),                     sin(2PI*k/N),
                       cos(6PI*k/N),                     sin(6PI*k/N) */
   /* k= 1N/16 */
   AC3_COEFF_CONST( 0.923879532511), AC3_COEFF_CONST( 0.382683432365),
   AC3_COEFF_CONST( 0.382683432365), AC3_COEFF_CONST( 0.923879532511),
   /* k= 3N/16 */
   AC3_COEFF_CONST( 0.382683432365), AC3_COEFF_CONST( 0.923879532511),
   AC3_COEFF_CONST(-0.923879532511), AC3_COEFF_CONST(-0.382683432365)

   /* k= 1N/32 */
  ,AC3_COEFF_CONST( 0.980785280403), AC3_COEFF_CONST( 0.195090322016),
   AC3_COEFF_CONST( 0.831469612303), AC3_COEFF_CONST( 0.555570233020),
   /* k= 5N/32 */
   AC3_COEFF_CONST( 0.555570233020), AC3_COEFF_CONST( 0.831469612303),
   AC3_COEFF_CONST(-0.980785280403), AC3_COEFF_CONST( 0.195090322016),
   /* k= 3N/32 */
   AC3_COEFF_CONST( 0.831469612303), AC3_COEFF_CONST( 0.555570233020),
   AC3_COEFF_CONST(-0.195090322016), AC3_COEFF_CONST( 0.980785280403),
   /* k= 7N/32 */
   AC3_COEFF_CONST( 0.195090322016), AC3_COEFF_CONST( 0.980785280403),
   AC3_COEFF_CONST(-0.555570233020), AC3_COEFF_CONST(-0.831469612303)

   /* k= 1N/64 */
  ,AC3_COEFF_CONST( 0.995184726672), AC3_COEFF_CONST( 0.098017140330),
   AC3_COEFF_CONST( 0.956940335732), AC3_COEFF_CONST( 0.290284677254),
   /* k= 9N/64 */
   AC3_COEFF_CONST( 0.634393284164), AC3_COEFF_CONST( 0.773010453363),
   AC3_COEFF_CONST(-0.881921264348), AC3_COEFF_CONST( 0.471396736826),
   /* k= 5N/64 */
   AC3_COEFF_CONST( 0.881921264348), AC3_COEFF_CONST( 0.471396736826),
   AC3_COEFF_CONST( 0.098017140330), AC3_COEFF_CONST( 0.995184726672),
   /* k=13N/64 */
   AC3_COEFF_CONST( 0.290284677254), AC3_COEFF_CONST( 0.956940335732),
   AC3_COEFF_CONST(-0.773010453363), AC3_COEFF_CONST(-0.634393284164),
   /* k= 3N/64 */
   AC3_COEFF_CONST( 0.956940335732), AC3_COEFF_CONST( 0.290284677254),
   AC3_COEFF_CONST( 0.634393284164), AC3_COEFF_CONST( 0.773010453363),
   /* k=11N/64 */
   AC3_COEFF_CONST( 0.471396736826), AC3_COEFF_CONST( 0.881921264348),
   AC3_COEFF_CONST(-0.995184726672), AC3_COEFF_CONST(-0.098017140330),
   /* k= 7N/64 */
   AC3_COEFF_CONST( 0.773010453363), AC3_COEFF_CONST( 0.634393284164),
   AC3_COEFF_CONST(-0.471396736826), AC3_COEFF_CONST( 0.881921264348),
   /* k=15N/64 */
   AC3_COEFF_CONST( 0.098017140330), AC3_COEFF_CONST( 0.995184726672),
   AC3_COEFF_CONST(-0.290284677254), AC3_COEFF_CONST(-0.956940335732)
   
   /* k= 1N/128 */
  ,AC3_COEFF_CONST( 0.998795456205), AC3_COEFF_CONST( 0.049067674327),
   AC3_COEFF_CONST( 0.989176509965), AC3_COEFF_CONST( 0.146730474455),
   /* k=17N/128 */
   AC3_COEFF_CONST( 0.671558954847), AC3_COEFF_CONST( 0.740951125355),
   AC3_COEFF_CONST(-0.803207531481), AC3_COEFF_CONST( 0.595699304492),
   /* k= 9N/128 */
   AC3_COEFF_CONST( 0.903989293123), AC3_COEFF_CONST( 0.427555093430),
   AC3_COEFF_CONST( 0.242980179903), AC3_COEFF_CONST( 0.970031253195),
   /* k=25N/128 */
   AC3_COEFF_CONST( 0.336889853392), AC3_COEFF_CONST( 0.941544065183),
   AC3_COEFF_CONST(-0.857728610000), AC3_COEFF_CONST(-0.514102744193),
   /* k= 5N/128 */
   AC3_COEFF_CONST( 0.970031253195), AC3_COEFF_CONST( 0.242980179903),
   AC3_COEFF_CONST( 0.740951125355), AC3_COEFF_CONST( 0.671558954847),
   /* k=21N/128 */
   AC3_COEFF_CONST( 0.514102744193), AC3_COEFF_CONST( 0.857728610000),
   AC3_COEFF_CONST(-0.998795456205), AC3_COEFF_CONST( 0.049067674327),
   /* k=13N/128 */
   AC3_COEFF_CONST( 0.803207531481), AC3_COEFF_CONST( 0.595699304492),
   AC3_COEFF_CONST(-0.336889853392), AC3_COEFF_CONST( 0.941544065183),
   /* k=29N/128 */
   AC3_COEFF_CONST( 0.146730474455), AC3_COEFF_CONST( 0.989176509965),
   AC3_COEFF_CONST(-0.427555093430), AC3_COEFF_CONST(-0.903989293123),
   /* k= 3N/128 */
   AC3_COEFF_CONST( 0.989176509965), AC3_COEFF_CONST( 0.146730474455),
   AC3_COEFF_CONST( 0.903989293123), AC3_COEFF_CONST( 0.427555093430),
   /* k=19N/128 */
   AC3_COEFF_CONST( 0.595699304492), AC3_COEFF_CONST( 0.803207531481),
   AC3_COEFF_CONST(-0.941544065183), AC3_COEFF_CONST( 0.336889853392),
   /* k=11N/128 */
   AC3_COEFF_CONST( 0.857728610000), AC3_COEFF_CONST( 0.514102744193),
   AC3_COEFF_CONST(-0.049067674327), AC3_COEFF_CONST( 0.998795456205),
   /* k=27N/128 */
   AC3_COEFF_CONST( 0.242980179903), AC3_COEFF_CONST( 0.970031253195),
   AC3_COEFF_CONST(-0.671558954847), AC3_COEFF_CONST(-0.740951125355),
   /* k= 7N/128 */
   AC3_COEFF_CONST( 0.941544065183), AC3_COEFF_CONST( 0.336889853392),
   AC3_COEFF_CONST( 0.514102744193), AC3_COEFF_CONST( 0.857728610000),
   /* k=23N/128 */
   AC3_COEFF_CONST( 0.427555093430), AC3_COEFF_CONST( 0.903989293123),
   AC3_COEFF_CONST(-0.970031253195), AC3_COEFF_CONST(-0.242980179903),
   /* k=15N/128 */
   AC3_COEFF_CONST( 0.740951125355), AC3_COEFF_CONST( 0.671558954847),
   AC3_COEFF_CONST(-0.595699304492), AC3_COEFF_CONST( 0.803207531481),
   /* k=31N/128 */
   AC3_COEFF_CONST( 0.049067674327), AC3_COEFF_CONST( 0.998795456205),
   AC3_COEFF_CONST(-0.146730474455), AC3_COEFF_CONST(-0.989176509965)
};

static const AC3_COEFF SCALE_FACTORS[] =
{
   /* Pre & Post IDFT scale factors */
   /*      cos(2PI*(8*n+1)/(32*N)),         sin(2PI*(8*n+1)/(32*N)) */
   AC3_COEFF_CONST(0.999995293810), AC3_COEFF_CONST(0.003067956763),
   AC3_COEFF_CONST(0.999618822495), AC3_COEFF_CONST(0.027608145779),
   AC3_COEFF_CONST(0.998640218180), AC3_COEFF_CONST(0.052131704680),
   AC3_COEFF_CONST(0.997060070339), AC3_COEFF_CONST(0.076623861392),
   AC3_COEFF_CONST(0.994879330795), AC3_COEFF_CONST(0.101069862755),
   AC3_COEFF_CONST(0.992099313142), AC3_COEFF_CONST(0.125454983412),
   AC3_COEFF_CONST(0.988721691960), AC3_COEFF_CONST(0.149764534677),
   AC3_COEFF_CONST(0.984748501802), AC3_COEFF_CONST(0.173983873387),
   AC3_COEFF_CONST(0.980182135968), AC3_COEFF_CONST(0.198098410718),
   AC3_COEFF_CONST(0.975025345067), AC3_COEFF_CONST(0.222093620973),
   AC3_COEFF_CONST(0.969281235357), AC3_COEFF_CONST(0.245955050336),
   AC3_COEFF_CONST(0.962953266874), AC3_COEFF_CONST(0.269668325573),
   AC3_COEFF_CONST(0.956045251350), AC3_COEFF_CONST(0.293219162694),
   AC3_COEFF_CONST(0.948561349916), AC3_COEFF_CONST(0.316593375556),
   AC3_COEFF_CONST(0.940506070593), AC3_COEFF_CONST(0.339776884407),
   AC3_COEFF_CONST(0.931884265582), AC3_COEFF_CONST(0.362755724367),
   AC3_COEFF_CONST(0.922701128334), AC3_COEFF_CONST(0.385516053844),
   AC3_COEFF_CONST(0.912962190428), AC3_COEFF_CONST(0.408044162865),
   AC3_COEFF_CONST(0.902673318237), AC3_COEFF_CONST(0.430326481340),
   AC3_COEFF_CONST(0.891840709392), AC3_COEFF_CONST(0.452349587234),
   AC3_COEFF_CONST(0.880470889052), AC3_COEFF_CONST(0.474100214651),
   AC3_COEFF_CONST(0.868570705971), AC3_COEFF_CONST(0.495565261826),
   AC3_COEFF_CONST(0.856147328375), AC3_COEFF_CONST(0.516731799018),
   AC3_COEFF_CONST(0.843208239642), AC3_COEFF_CONST(0.537587076296),
   AC3_COEFF_CONST(0.829761233795), AC3_COEFF_CONST(0.558118531221),
   AC3_COEFF_CONST(0.815814410807), AC3_COEFF_CONST(0.578313796412),
   AC3_COEFF_CONST(0.801376171723), AC3_COEFF_CONST(0.598160706996),
   AC3_COEFF_CONST(0.786455213599), AC3_COEFF_CONST(0.617647307938),
   AC3_COEFF_CONST(0.771060524262), AC3_COEFF_CONST(0.636761861236),
   AC3_COEFF_CONST(0.755201376897), AC3_COEFF_CONST(0.655492853000),
   AC3_COEFF_CONST(0.738887324461), AC3_COEFF_CONST(0.673829000379),
   AC3_COEFF_CONST(0.722128193929), AC3_COEFF_CONST(0.691759258364),
   AC3_COEFF_CONST(0.704934080376), AC3_COEFF_CONST(0.709272826439),
   AC3_COEFF_CONST(0.687315340892), AC3_COEFF_CONST(0.726359155084),
   AC3_COEFF_CONST(0.669282588347), AC3_COEFF_CONST(0.743007952135),
   AC3_COEFF_CONST(0.650846684996), AC3_COEFF_CONST(0.759209188978),
   AC3_COEFF_CONST(0.632018735940), AC3_COEFF_CONST(0.774953106595),
   AC3_COEFF_CONST(0.612810082429), AC3_COEFF_CONST(0.790230221437),
   AC3_COEFF_CONST(0.593232295040), AC3_COEFF_CONST(0.805031331143),
   AC3_COEFF_CONST(0.573297166698), AC3_COEFF_CONST(0.819347520077),
   AC3_COEFF_CONST(0.553016705580), AC3_COEFF_CONST(0.833170164702),
   AC3_COEFF_CONST(0.532403127877), AC3_COEFF_CONST(0.846490938774),
   AC3_COEFF_CONST(0.511468850438), AC3_COEFF_CONST(0.859301818357),
   AC3_COEFF_CONST(0.490226483288), AC3_COEFF_CONST(0.871595086656),
   AC3_COEFF_CONST(0.468688822036), AC3_COEFF_CONST(0.883363338666),
   AC3_COEFF_CONST(0.446868840162), AC3_COEFF_CONST(0.894599485631),
   AC3_COEFF_CONST(0.424779681209), AC3_COEFF_CONST(0.905296759318),
   AC3_COEFF_CONST(0.402434650859), AC3_COEFF_CONST(0.915448716088),
   AC3_COEFF_CONST(0.379847208924), AC3_COEFF_CONST(0.925049240783),
   AC3_COEFF_CONST(0.357030961233), AC3_COEFF_CONST(0.934092550404),
   AC3_COEFF_CONST(0.333999651442), AC3_COEFF_CONST(0.942573197601),
   AC3_COEFF_CONST(0.310767152750), AC3_COEFF_CONST(0.950486073949),
   AC3_COEFF_CONST(0.287347459545), AC3_COEFF_CONST(0.957826413028),
   AC3_COEFF_CONST(0.263754678975), AC3_COEFF_CONST(0.964589793290),
   AC3_COEFF_CONST(0.240003022449), AC3_COEFF_CONST(0.970772140729),
   AC3_COEFF_CONST(0.216106797076), AC3_COEFF_CONST(0.976369731330),
   AC3_COEFF_CONST(0.192080397050), AC3_COEFF_CONST(0.981379193314),
   AC3_COEFF_CONST(0.167938294975), AC3_COEFF_CONST(0.985797509168),
   AC3_COEFF_CONST(0.143695033150), AC3_COEFF_CONST(0.989622017463),
   AC3_COEFF_CONST(0.119365214811), AC3_COEFF_CONST(0.992850414460),
   AC3_COEFF_CONST(0.094963495330), AC3_COEFF_CONST(0.995480755492),
   AC3_COEFF_CONST(0.070504573390), AC3_COEFF_CONST(0.997511456140),
   AC3_COEFF_CONST(0.046003182131), AC3_COEFF_CONST(0.998941293187),
   AC3_COEFF_CONST(0.021474080275), AC3_COEFF_CONST(0.999769405351),

   
   AC3_COEFF_CONST(0.999998823452), AC3_COEFF_CONST(0.001533980186),
   AC3_COEFF_CONST(0.999904701083), AC3_COEFF_CONST(0.013805388528),
   AC3_COEFF_CONST(0.999659996744), AC3_COEFF_CONST(0.026074717829),
   AC3_COEFF_CONST(0.999264747287), AC3_COEFF_CONST(0.038340120374),
   AC3_COEFF_CONST(0.998719012234), AC3_COEFF_CONST(0.050599749037),
   AC3_COEFF_CONST(0.998022873771), AC3_COEFF_CONST(0.062851757564),
   AC3_COEFF_CONST(0.997176436735), AC3_COEFF_CONST(0.075094300848),
   AC3_COEFF_CONST(0.996179828596), AC3_COEFF_CONST(0.087325535206),
   AC3_COEFF_CONST(0.995033199438), AC3_COEFF_CONST(0.099543618660),
   AC3_COEFF_CONST(0.993736721941), AC3_COEFF_CONST(0.111746711211),
   AC3_COEFF_CONST(0.992290591348), AC3_COEFF_CONST(0.123932975119),
   AC3_COEFF_CONST(0.990695025443), AC3_COEFF_CONST(0.136100575176),
   AC3_COEFF_CONST(0.988950264510), AC3_COEFF_CONST(0.148247678987),
   AC3_COEFF_CONST(0.987056571306), AC3_COEFF_CONST(0.160372457243),
   AC3_COEFF_CONST(0.985014231012), AC3_COEFF_CONST(0.172473083997),
   AC3_COEFF_CONST(0.982823551199), AC3_COEFF_CONST(0.184547736939),
   AC3_COEFF_CONST(0.980484861773), AC3_COEFF_CONST(0.196594597670),
   AC3_COEFF_CONST(0.977998514935), AC3_COEFF_CONST(0.208611851978),
   AC3_COEFF_CONST(0.975364885117), AC3_COEFF_CONST(0.220597690109),
   AC3_COEFF_CONST(0.972584368935), AC3_COEFF_CONST(0.232550307039),
   AC3_COEFF_CONST(0.969657385124), AC3_COEFF_CONST(0.244467902748),
   AC3_COEFF_CONST(0.966584374478), AC3_COEFF_CONST(0.256348682490),
   AC3_COEFF_CONST(0.963365799781), AC3_COEFF_CONST(0.268190857063),
   AC3_COEFF_CONST(0.960002145738), AC3_COEFF_CONST(0.279992643080),
   AC3_COEFF_CONST(0.956493918902), AC3_COEFF_CONST(0.291752263235),
   AC3_COEFF_CONST(0.952841647601), AC3_COEFF_CONST(0.303467946572),
   AC3_COEFF_CONST(0.949045881853), AC3_COEFF_CONST(0.315137928753),
   AC3_COEFF_CONST(0.945107193285), AC3_COEFF_CONST(0.326760452320),
   AC3_COEFF_CONST(0.941026175051), AC3_COEFF_CONST(0.338333766966),
   AC3_COEFF_CONST(0.936803441736), AC3_COEFF_CONST(0.349856129790),
   AC3_COEFF_CONST(0.932439629268), AC3_COEFF_CONST(0.361325805568),
   AC3_COEFF_CONST(0.927935394823), AC3_COEFF_CONST(0.372741067010),
   AC3_COEFF_CONST(0.923291416720), AC3_COEFF_CONST(0.384100195017),
   AC3_COEFF_CONST(0.918508394325), AC3_COEFF_CONST(0.395401478948),
   AC3_COEFF_CONST(0.913587047945), AC3_COEFF_CONST(0.406643216870),
   AC3_COEFF_CONST(0.908528118716), AC3_COEFF_CONST(0.417823715820),
   AC3_COEFF_CONST(0.903332368495), AC3_COEFF_CONST(0.428941292055),
   AC3_COEFF_CONST(0.898000579741), AC3_COEFF_CONST(0.439994271310),
   AC3_COEFF_CONST(0.892533555403), AC3_COEFF_CONST(0.450980989045),
   AC3_COEFF_CONST(0.886932118794), AC3_COEFF_CONST(0.461899790702),
   AC3_COEFF_CONST(0.881197113471), AC3_COEFF_CONST(0.472749031950),
   AC3_COEFF_CONST(0.875329403104), AC3_COEFF_CONST(0.483527078933),
   AC3_COEFF_CONST(0.869329871349), AC3_COEFF_CONST(0.494232308516),
   AC3_COEFF_CONST(0.863199421712), AC3_COEFF_CONST(0.504863108531),
   AC3_COEFF_CONST(0.856938977418), AC3_COEFF_CONST(0.515417878019),
   AC3_COEFF_CONST(0.850549481266), AC3_COEFF_CONST(0.525895027471),
   AC3_COEFF_CONST(0.844031895490), AC3_COEFF_CONST(0.536292979066),
   AC3_COEFF_CONST(0.837387201616), AC3_COEFF_CONST(0.546610166911),
   AC3_COEFF_CONST(0.830616400309), AC3_COEFF_CONST(0.556845037275),
   AC3_COEFF_CONST(0.823720511227), AC3_COEFF_CONST(0.566996048825),
   AC3_COEFF_CONST(0.816700572867), AC3_COEFF_CONST(0.577061672856),
   AC3_COEFF_CONST(0.809557642404), AC3_COEFF_CONST(0.587040393521),
   AC3_COEFF_CONST(0.802292795538), AC3_COEFF_CONST(0.596930708062),
   AC3_COEFF_CONST(0.794907126328), AC3_COEFF_CONST(0.606731127035),
   AC3_COEFF_CONST(0.787401747029), AC3_COEFF_CONST(0.616440174531),
   AC3_COEFF_CONST(0.779777787923), AC3_COEFF_CONST(0.626056388404),
   AC3_COEFF_CONST(0.772036397150), AC3_COEFF_CONST(0.635578320489),
   AC3_COEFF_CONST(0.764178740536), AC3_COEFF_CONST(0.645004536816),
   AC3_COEFF_CONST(0.756206001414), AC3_COEFF_CONST(0.654333617832),
   AC3_COEFF_CONST(0.748119380450), AC3_COEFF_CONST(0.663564158612),
   AC3_COEFF_CONST(0.739920095460), AC3_COEFF_CONST(0.672694769071),
   AC3_COEFF_CONST(0.731609381224), AC3_COEFF_CONST(0.681724074172),
   AC3_COEFF_CONST(0.723188489307), AC3_COEFF_CONST(0.690650714135),
   AC3_COEFF_CONST(0.714658687863), AC3_COEFF_CONST(0.699473344640),

   AC3_COEFF_CONST(0.706021261449), AC3_COEFF_CONST(0.708190637033),
   AC3_COEFF_CONST(0.697277510831), AC3_COEFF_CONST(0.716801278521),
   AC3_COEFF_CONST(0.688428752784), AC3_COEFF_CONST(0.725303972373),
   AC3_COEFF_CONST(0.679476319899), AC3_COEFF_CONST(0.733697438115),
   AC3_COEFF_CONST(0.670421560380), AC3_COEFF_CONST(0.741980411721),
   AC3_COEFF_CONST(0.661265837840), AC3_COEFF_CONST(0.750151645806),
   AC3_COEFF_CONST(0.652010531097), AC3_COEFF_CONST(0.758209909813),
   AC3_COEFF_CONST(0.642657033966), AC3_COEFF_CONST(0.766153990196),
   AC3_COEFF_CONST(0.633206755050), AC3_COEFF_CONST(0.773982690607),
   AC3_COEFF_CONST(0.623661117526), AC3_COEFF_CONST(0.781694832071),
   AC3_COEFF_CONST(0.614021558931), AC3_COEFF_CONST(0.789289253169),
   AC3_COEFF_CONST(0.604289530948), AC3_COEFF_CONST(0.796764810208),
   AC3_COEFF_CONST(0.594466499185), AC3_COEFF_CONST(0.804120377398),
   AC3_COEFF_CONST(0.584553942953), AC3_COEFF_CONST(0.811354847017),
   AC3_COEFF_CONST(0.574553355048), AC3_COEFF_CONST(0.818467129580),
   AC3_COEFF_CONST(0.564466241521), AC3_COEFF_CONST(0.825456154004),
   AC3_COEFF_CONST(0.554294121454), AC3_COEFF_CONST(0.832320867768),
   AC3_COEFF_CONST(0.544038526731), AC3_COEFF_CONST(0.839060237070),
   AC3_COEFF_CONST(0.533701001807), AC3_COEFF_CONST(0.845673246987),
   AC3_COEFF_CONST(0.523283103476), AC3_COEFF_CONST(0.852158901624),
   AC3_COEFF_CONST(0.512786400634), AC3_COEFF_CONST(0.858516224264),
   AC3_COEFF_CONST(0.502212474046), AC3_COEFF_CONST(0.864744257519),
   AC3_COEFF_CONST(0.491562916107), AC3_COEFF_CONST(0.870842063470),
   AC3_COEFF_CONST(0.480839330600), AC3_COEFF_CONST(0.876808723809),
   AC3_COEFF_CONST(0.470043332460), AC3_COEFF_CONST(0.882643339980),
   AC3_COEFF_CONST(0.459176547522), AC3_COEFF_CONST(0.888345033310),
   AC3_COEFF_CONST(0.448240612285), AC3_COEFF_CONST(0.893912945145),
   AC3_COEFF_CONST(0.437237173661), AC3_COEFF_CONST(0.899346236979),
   AC3_COEFF_CONST(0.426167888727), AC3_COEFF_CONST(0.904644090578),
   AC3_COEFF_CONST(0.415034424476), AC3_COEFF_CONST(0.909805708105),
   AC3_COEFF_CONST(0.403838457568), AC3_COEFF_CONST(0.914830312238),
   AC3_COEFF_CONST(0.392581674073), AC3_COEFF_CONST(0.919717146291),
   AC3_COEFF_CONST(0.381265769222), AC3_COEFF_CONST(0.924465474325),
   AC3_COEFF_CONST(0.369892447149), AC3_COEFF_CONST(0.929074581259),
   AC3_COEFF_CONST(0.358463420634), AC3_COEFF_CONST(0.933543772979),
   AC3_COEFF_CONST(0.346980410846), AC3_COEFF_CONST(0.937872376440),
   AC3_COEFF_CONST(0.335445147085), AC3_COEFF_CONST(0.942059739771),
   AC3_COEFF_CONST(0.323859366518), AC3_COEFF_CONST(0.946105232370),
   AC3_COEFF_CONST(0.312224813922), AC3_COEFF_CONST(0.950008245002),
   AC3_COEFF_CONST(0.300543241417), AC3_COEFF_CONST(0.953768189886),
   AC3_COEFF_CONST(0.288816408206), AC3_COEFF_CONST(0.957384500789),
   AC3_COEFF_CONST(0.277046080306), AC3_COEFF_CONST(0.960856633108),
   AC3_COEFF_CONST(0.265234030286), AC3_COEFF_CONST(0.964184063952),
   AC3_COEFF_CONST(0.253382036996), AC3_COEFF_CONST(0.967366292222),
   AC3_COEFF_CONST(0.241491885303), AC3_COEFF_CONST(0.970402838688),
   AC3_COEFF_CONST(0.229565365821), AC3_COEFF_CONST(0.973293246055),
   AC3_COEFF_CONST(0.217604274638), AC3_COEFF_CONST(0.976037079039),
   AC3_COEFF_CONST(0.205610413053), AC3_COEFF_CONST(0.978633924429),
   AC3_COEFF_CONST(0.193585587296), AC3_COEFF_CONST(0.981083391150),
   AC3_COEFF_CONST(0.181531608261), AC3_COEFF_CONST(0.983385110322),
   AC3_COEFF_CONST(0.169450291234), AC3_COEFF_CONST(0.985538735312),
   AC3_COEFF_CONST(0.157343455616), AC3_COEFF_CONST(0.987543941794),
   AC3_COEFF_CONST(0.145212924653), AC3_COEFF_CONST(0.989400427791),
   AC3_COEFF_CONST(0.133060525157), AC3_COEFF_CONST(0.991107913723),
   AC3_COEFF_CONST(0.120888087236), AC3_COEFF_CONST(0.992666142449),
   AC3_COEFF_CONST(0.108697444013), AC3_COEFF_CONST(0.994074879305),
   AC3_COEFF_CONST(0.096490431355), AC3_COEFF_CONST(0.995333912140),
   AC3_COEFF_CONST(0.084268887593), AC3_COEFF_CONST(0.996443051350),
   AC3_COEFF_CONST(0.072034653247), AC3_COEFF_CONST(0.997402129901),
   AC3_COEFF_CONST(0.059789570747), AC3_COEFF_CONST(0.998211003360),
   AC3_COEFF_CONST(0.047535484157), AC3_COEFF_CONST(0.998869549914),
   AC3_COEFF_CONST(0.035274238898), AC3_COEFF_CONST(0.999377670388),
   AC3_COEFF_CONST(0.023007681469), AC3_COEFF_CONST(0.999735288261),
   AC3_COEFF_CONST(0.010737659167), AC3_COEFF_CONST(0.999942349676)
};

