/***************************************************************************
                        mpeg_tables.c  -  description
                             -------------------
    begin                : Mon Oct 23 2006
    copyright            : (C) 2006 by Dennis Lew
    email                : dennis_L76@yahoo.ca
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "mpeg_tables.h"


const u8 CBP_TABLE[59] = {
   /*  0 - 11: XXXX X */
   62,  2, 61,  1, 56, 52, 44, 28, 40, 20, 48, 12,

   /* 12 - 15: 0011 XX */
   63,  3, 36, 24,

   /* 16 - 23: 0010 XXX */
   34, 18, 10,  6, 33, 17,  9,  5,

   /* 24 - 51: 000X XXXX */
   58, 54, 46, 30, 57, 53, 45, 29, 38, 26, 37, 25, 43, 23,
   51, 15, 42, 22, 50, 14, 41, 21, 49, 13, 35, 19, 11,  7,

   /* 52 - 58: 0000 00XX X */
    0, 39, 27, 59, 55, 47, 31
},
         DCT_TABLE0[104][2] = {
   /*  0 -  3: 0001 XX */
   { 7,  1}, { 6,  1}, { 1,  2}, { 5,  1},
   
   /*  4 -  7: 0000 1XX */
   { 2,  2}, { 9,  1}, { 0,  4}, { 8,  1},

   /*  8 - 15: 0010 0XXX */
   {13,  1}, { 0,  6}, {12,  1}, {11,  1}, { 3,  2}, { 1,  3}, { 0,  5}, {10,  1},
   
   /* 16 - 23: 0000 001X XX */
   {16,  1}, { 5,  2}, { 0,  7}, { 2,  3}, { 1,  4}, {15,  1}, {14,  1}, { 4,  2},

   /* 24 - 39: 0000 0001 XXXX */
   { 0, 11}, { 8,  2}, { 4,  3}, { 0, 10}, { 2,  4}, { 7,  2}, {21,  1}, {20,  1},
   { 0,  9}, {19,  1}, {18,  1}, { 1,  5}, { 3,  3}, { 0,  8}, { 6,  2}, {17,  1},

   /* 40 - 55: 0000 0000 1XXX X */
   {10,  2}, { 9,  2}, { 5,  3}, { 3,  4}, { 2,  5}, { 1,  7}, { 1,  6}, { 0, 15},
   { 0, 14}, { 0, 13}, { 0, 12}, {26,  1}, {25,  1}, {24,  1}, {23,  1}, {22,  1},

   /* 56 - 71: 0000 0000 01XX XX */
   { 0, 31}, { 0, 30}, { 0, 29}, { 0, 28}, { 0, 27}, { 0, 26}, { 0, 25}, { 0, 24},
   { 0, 23}, { 0, 22}, { 0, 21}, { 0, 20}, { 0, 19}, { 0, 18}, { 0, 17}, { 0, 16},

   /* 72 - 87: 0000 0000 001X XXX */
   { 0, 40}, { 0, 39}, { 0, 38}, { 0, 37}, { 0, 36}, { 0, 35}, { 0, 34}, { 0, 33},
   { 0, 32}, { 1, 14}, { 1, 13}, { 1, 12}, { 1, 11}, { 1, 10}, { 1,  9}, { 1,  8},

   /* 88 -103: 0000 0000 0001 XXXX */
   { 1, 18}, { 1, 17}, { 1, 16}, { 1, 15}, { 6,  3}, {16,  2}, {15,  2}, {14,  2},
   {13,  2}, {12,  2}, {11,  2}, {31,  1}, {30,  1}, {29,  1}, {28,  1}, {27,  1}
},
         DCT_TABLE1[31][2] = {
   /*  0 -  4: 1111 XXX */
   { 9,  1}, { 1,  3}, {10,  1}, { 0,  8}, { 0,  9},

   /*  5 - 10: 1111 1XXX */
   { 0, 12}, { 0, 13}, { 2,  3}, { 4,  2}, { 0, 14}, { 0, 15},

   /* 11 - 18: 0010 0XXX */
   { 1,  5}, {11,  1}, { 0, 11}, { 0, 10}, {13,  1}, {12,  1}, { 3,  2}, { 1,  4},

   /* 19 - 22: 0001 XX */
   { 0,  7}, { 0,  6}, { 4,  1}, { 5,  1},

   /* 23 - 26: 0000 1XX */
   { 7,  1}, { 8,  1}, { 6,  1}, { 2,  2},

   /* 27 - 30: 0000 0000 100X X */
   {10,  2}, { 9,  2}, { 5,  3}, { 3,  4}
},
         SCAN_TABLE[2][64] = {
   { 0,  1,  8, 16,  9,  2,  3, 10,
    17, 24, 32, 25, 18, 11,  4,  5,
    12, 19, 26, 33, 40, 48, 41, 34,
    27, 20, 13,  6,  7, 14, 21, 28,
    35, 42, 49, 56, 57, 50, 43, 36,
    29, 22, 15, 23, 30, 37, 44, 51,
    58, 59, 52, 45, 38, 31, 39, 46,
    53, 60, 61, 54, 47, 55, 62, 63},
   { 0,  8, 16, 24,  1,  9,  2, 10,
    17, 25, 32, 40, 48, 56, 57, 49,
    41, 33, 26, 18,  3, 11,  4, 12,
    19, 27, 34, 42, 50, 58, 35, 43,
    51, 59, 20, 28,  5, 13,  6, 14,
    21, 29, 36, 44, 52, 60, 37, 45,
    53, 61, 22, 30,  7, 15, 23, 31,
    38, 46, 54, 62, 39, 47, 55, 63}
},
         QUANT_SCALE1[32] = {
    0,  1,  2,  3,  4,   5,   6,  7,  8,
   10, 12, 14, 16, 18,  20,  22, 24,
   28, 32, 36, 40, 44,  48,  52, 56,
   64, 72, 80, 88, 96, 104, 112
};


