/***************************************************************************
 VC1_motion_vectors.h
 --------------------
   These are the macros and routines needed to handle the motion vectors.
 --------------------
 begin     : Wed Feb 28 2007
 copyright : (C) 2007 by Dennis Lew
 email     : dennis_L76@yahoo.ca
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#ifndef __VC1_MOTION_VECTORS_H__
#define __VC1_MOTION_VECTORS_H__

#include "common/typedefs.h"

#ifdef __cplusplus
extern "C" {
#endif

typedef void (*VC1_INT_FUNC)(u8 *, u16, u8);

s16 VC1_median4(s16 a, s16 b, s16 c, s16 d);
s16 VC1_median3(s16 a, s16 b, s16 c);

void         VC1_1MVinc(s32 *MVinc, u16 *MVout_qp, s16 *MV,
                        u16 x, u16 y, u16 wid, u16 hgt,
                        u32 frame_wid, u8 fastuv);
void         VC1_4MVinc(s32 *MVinc, u16 *MVout_qp, s16 *MV,
                        u16 x, u16 y, u16 wid, u16 hgt,
                        u32 frame_wid, u8 fastuv, u8 *MV4mode);
VC1_INT_FUNC VC1_get_blk(u8 *blk, u8 *ref, u16 MVout, u32 frame_wid,
                         u8 MVmode, u8 *LUT);

void VC1_MV_BILINEAR(u8 *blk, u16 MV_qp, u8 rnd);
void VC1_MV_BICUBIC_X_(u8 *blk, u16 MV_qp, u8 rnd);
void VC1_MV_BICUBIC__Y(u8 *blk, u16 MV_qp, u8 rnd);
void VC1_MV_BICUBIC_XY(u8 *blk, u16 MV_qp, u8 rnd);
void VC1_MV_ADD_PRED(s16 *err, u8 *blk, u8 *outp, int inc);

void VC1_MV_COPY_OUTPUT(s16 *err, u8 *outp, int inc);

void VC1_MV_BUILD_LUT_TABLE(u8 *tab, s32 scale, s32 shift);

#ifdef __cplusplus
};
#endif

#endif
